DP(8)

NAME
dp - nmh parser of RFC 822-style dates

SYNOPSIS

/usr/pkg/libexec/nmh/dp [-help] [-version] [-form formatfile] [-format string] [-width columns] dates ...

DESCRIPTION
dp is a program that parses dates according to the ARPA Internet standard. It also understands many non-standard formats, such as those produced by TOPS-20 sites and some Unix sites using ctime(3). It is useful for seeing how nmh will interpret a date.

The dp program treats each argument as a single date, and prints the date out in the official RFC 822 format. Hence, it is usually best to enclose each argument in quotes for the shell.

To override the output format used by dp, the -format string or -format file switches are used. This permits individual fields of the address to be extracted with ease. The string is simply a format string and the file is simply a format file. See mh-format(5) for the details.

Here is the default format string used by dp:

    %<(nodate{text})error: %{text}%|%(putstr(pretty{text}))%>

which says that if an error was detected, print the error, a `:', and the date in error. Otherwise, output the RFC 822-proper format of the date.

FILES

$HOME/.mh_profile
    The user's profile.

PROFILE COMPONENTS
None

SEE ALSO
fmttest(1), ap(8)

Standard for the Format of ARPA Internet Text Messages (RFC 822)

DEFAULTS
-format
    As described above.
-width
    The width of the terminal.

CONTEXT
None